//This JSON was modified by LateLag (@LateLagMC), AgentMindStorm (@agentms_), and Rainvay_ZCYF (@ZouChenyunfei). Please do not use this document without permission.
{
  "format_version": "1.10.0",
  "animations": {
    "animation.bow.wield": {
      "loop": true,
      "bones": {
        "rightitem": {
          "position": [ "(c.is_first_person ? 10.1 - 8.0 : 1.0)", "c.is_first_person ? 22.4 - 14.5 : -0.5", "c.is_first_person ? 10.4 - 10.5 : -1.0" ],
          "rotation": [ "c.is_first_person ? 0.0 : 12.739", "c.is_first_person ? 115.0 : 39.1481", "c.is_first_person ? 90.0 : -90.0 + 9.8766" ],
          "scale": "c.is_first_person ? 0.68 : 0.9"
        }
      }
    },
    "animation.bow.wield_offhand": {
      "loop": true,
      "bones": {
        "rightitem": {
          "position": [ "(c.is_first_person ? -10.1 + 8.0 : -1.0)", "c.is_first_person ? 22.4 - 14.5 : -0.5", "c.is_first_person ? 10.4 - 10.5 : -1.0" ],
          "rotation": [ "c.is_first_person ? 0.0 : -12.739", "c.is_first_person ? 115.0 : 39.1481", "c.is_first_person ? 90.0 : -90.0 - 9.8766" ],
          "scale": "c.is_first_person ? 0.68 : 0.9"
        }
      }
    },
    "animation.bow.wield_first_person_pull": {
      "loop": true,
      "bones": {
        "rightitem": {
          "position":[ "math.lerp(-1.0, -4.0, variable.charge_amount)", "math.lerp(2.5, 3.5 + (math.sin((q.life_time) * 1000.0 * 1.3) * 0.05), variable.charge_amount) + math.min(variable.charge_amount * 120.0,15.0) - 15.0", "math.lerp(2.0, -2.75, variable.charge_amount)" ],
          "rotation":[ -7.5, 20.0, 2.0 ],
          "scale": "math.lerp(1.5, 1.0, variable.charge_amount)"
        }
      }
    }
  }
}